UPDATE_SCRIPT=/mnt/usb-stick1/kmcbb_script.sh
UPDATE_TAR=/mnt/usb-stick1/kmcbb_rootfs.tar.gz
UPDATE_KERNEL=/mnt/usb-stick1/kmcbb.sb
UPDATE_SCRIPT_DEST=/home/root/kmcbb_script.sh
UPDATE_TAR_DEST=/home/root/kmcbb_rootfs.tar.gz
UPDATE_KERNEL_DEST=/home/root/kmcbb.sb
UPDATE_RETVAL=0

#check if udpate tar exists

if [ -f $UPDATE_TAR ];
then
  /home/root/updater-splash -p -n -a 180 -e "Copying rootfs to KMCBB" &
  sleep 5
  /home/root/killall.sh
  echo "KMCBB Update tar found"
  n=0
  until [ $n -ge 5 ]
  do
    scp $UPDATE_TAR root@10.0.0.1:$UPDATE_TAR_DEST
    [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done
  UPDATE_RETVAL=1
else
  echo "Update tar not found"
fi

# check if update script exists

if [ -f $UPDATE_SCRIPT ];
then
  /home/root/updater-splash -p -n -a 180 -e "Copying update script to KMCBB" &
  echo "KMCBB Update script found"
  n=0
  until [ $n -ge 5 ]
  do
    scp $UPDATE_SCRIPT root@10.0.0.1:$UPDATE_SCRIPT_DEST
    [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done
  UPDATE_RETVAL=1
else
  echo "Update script not found"
fi

# check if update kernel found
if [ -f $UPDATE_KERNEL ];
then
  /home/root/updater-splash -p -n -a 180 -e "Copying bootloader to KMCBB" &
  echo "KMCBB Update kernel found"
  n=0
  until [ $n -ge 5 ]
  do
    scp $UPDATE_KERNEL root@10.0.0.1:$UPDATE_KERNEL_DEST
    [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done
  UPDATE_RETVAL=1
else
  echo "Update kernel not found"
fi

if [ $UPDATE_RETVAL -eq 1 ];
then
  sleep 5
  sync
  sleep 5
  /home/root/updater-splash -p -n -a 180 -e "Reseting KMC to start update" &
  ssh root@10.0.0.1 "touch /home/root/update_required"
  ssh root@10.0.0.1 "reboot"
  echo "System was updated"
  exit 1
else
  echo "No system updates found"
  exit 0
fi


